Bug 442515 - GDM can't cope with filesystems which don't support inotify (e.g. GFS2)
GDM can't cope with filesystems which don't support inotify (e.g. GFS2)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 05:17 EDT by Rumen B.
Modified: 2015-01-14 18:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rumen B. 2008-04-15 05:17:34 EDT
Description of problem:
When home is a GFS2 volume some file operations regularly hang the whole system.
For example starting OpenOffice from user with home on GFS2 always results in
system crash.

Version-Release number of selected component (if applicable):
Fedora 8 up to date.(kernel 2.6.24.4-64)
gfs2-utils-2.03.00-3.fc8 (from koji) 
(fedora 9 beta is also affected)

Steps to Reproduce:
1. make gfs2 volume (I have tested with lock_nolock on a local drive)
2. mount this volume on /home and create user home dir for or just create new user.
3. login as the mentioned above user and start openoffice. ("cat /dev/zero >
~/gfs2_file" also reproduces the problem though not always as ooffice does).
Comment 1 Krum Antov 2008-04-15 14:27:27 EDT
I confirm this bug on Fedora 8 - /home on GFS2 and openoffice.org crash.
The mount should be done from the /etc/fstab file during bootup.

The Selinux should be disabled in order to successfully mount the /home directory 
to the GFS2 volute. 
(Probably bug should be written against the selinux policy as well) 

Fedora 9 crashes immediately when the GDM login display appears.
Just create GFS2 volume, mount it to /home (using /etc/fstab) and create a new
user with his/her /home on the GFS2 volume. 
Reboot Fedora 9 and you’ll see the crash. (Selinux should be disabled again.)

Comment 2 Steve Whitehouse 2008-04-16 04:35:05 EDT
There might be several problems here, but one at least is selinux related. 
Comment 3 Steve Whitehouse 2008-04-21 08:24:02 EDT
I wonder if the non-selinux part of this is actually a dup of #437076... no
proof, but just a hunch.
Comment 4 Rumen B. 2008-04-21 08:38:15 EDT
Just to make clear: in my initial report I did not mention selinux,  but it was
disabled.
Comment 5 Fabio Massimo Di Nitto 2008-05-27 05:35:33 EDT
So i have been investigating this problem now a bit and these are my findings on
a plain Fedora 9 + updates installation. gfs2 is mounted via /etc/fstab as
described in the original report.

- gdm crashes due to a bug in either gdm or glib2:

gdm attempts to install an inotify watch on /home to update the login user list.
inotify is not supported in gfs2.
glib2 attempts to fallback but something is buggy there and segfault, resulting
in gdm restarting over and over.

- enabling or disabling selinux made no difference.

- since it's not possible to login locally, i used an ssh tunnelled X session to
run openoffice. I was able to start and stop ooffice several times with no
problems. Also running other different things, keeping /home very busy, like
building packages, editing code etc.

This bug should probably be splitted to be of any use.

Fabio
Comment 6 Steve Whitehouse 2008-06-25 09:54:41 EDT
Since this has been verifird on F-9, I'm bumping the version of this bug. Also
reassigning to gdm owner. If there is a problem with selinux & GFS2, then please
open another bz to deal with that.
Comment 7 Bug Zapper 2009-06-09 20:11:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 11:30:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.